// @(#)root/html:$Id: TMuster.cpp 2008-06-11
// Author: F.X. Gentit <http://gentit.home.cern.ch/gentit/>  IRFU/SPP/CEA Saclay

/*************************************************************************
 * Copyright (C) Those valid for CNRS software.                          *
 *************************************************************************/
#include "Riostream.h"
#include "TF1.h"
#include "TGraph.h"
#include "TMuster.h"

ClassImp(TMuster)
//______________________________________________________________________________
//
// TMuster  Almost empty class showing how to build a class for ROOT
//
TMuster::TMuster() {
  fH   = 0;
#ifdef WITHCANVAS
  fCan = 0;
#endif
}
TMuster::TMuster(Double_t content,Double_t mean, Double_t sigma) {
//normal constructor
  TF1 *f;
  fC     = content;
  fMean  = mean;
  fSigma = sigma;
  fH     = new TH1F("histo1","histo1",100,0.,100.);
  f = new TF1("gg","gaus");
  f->SetParameters(content,mean,sigma);
  fH->FillRandom("gg",10000);
  delete f;
#ifdef WITHCANVAS
  fCan = new TCanvas("muster","Canvas for muster",500,500);
#endif
 }
TMuster::~TMuster() {
//destructor
  if (fH) {
    delete fH;
    fH = 0;
  }
#ifdef WITHCANVAS
  if (fCan) {
    delete fCan;
    fCan = 0;
  }
#endif
}
void TMuster::Show() {
  fH->Draw("");
}
