// @(#)root/html:$Id: TMuster.h 2008-06-11
// Author: F.X. Gentit <http://gentit.home.cern.ch/gentit/> IRFU/SPP/CEA Saclay

/*************************************************************************
 * Copyright (C) Those valid for CNRS software.                          *
 *************************************************************************/
#ifndef LIT_TMuster
#define LIT_TMuster
//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TMuster  Almost empty class showing how to build a class for ROOT    //
//                                                                      //
//////////////////////////////////////////////////////////////////////////
#include "TCanvas.h"
#include "TH1.h"

#undef WITHCANVAS

class TMuster : public TObject {

protected:

  Double_t  fC;     //content
  Double_t  fMean;  //mean of gaussian distribution
  Double_t  fSigma; //RMS  of gaussian distribution
  TH1F     *fH;     //histogram of gaussian distribution
#ifdef WITHCANVAS
  TCanvas  *fCan;   //Canvas to be used
#endif

public:

//Default constructor
  TMuster();
  TMuster(Double_t, Double_t=50.0,  Double_t=10.0);
  ~TMuster();
  void Show();
  ClassDef(TMuster,1) //Small class showing the building of a class for ROOT
};
#endif
